Client Create Api Key
curl --request POST \
--url https://agents-api.kolena.com/api/v1/client/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://agents-api.kolena.com/api/v1/client/api-keys"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://agents-api.kolena.com/api/v1/client/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"status": "active",
"api_key_hint": "<string>",
"api_key": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Keys
Create API Key
Create a new API key for the current user
Client Create Api Key
Rate Limit: This endpoint is limited to requests per minute per user.
Important: The
api_key secret is only returned once during creation. Save it immediately in a secure location.Authorizations
Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.
Body
application/json
Response
Successful Response
The ID of this API key.
The name of this API key.
When this API key was created, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)
When this API key expires, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00), or null if it never expires.
The email address of the user who created this API key.
The current status of this API key (active or expired).
Available options:
active, expired Partial API key hint
The API key secret.
Was this page helpful?
